# eric7.EricNetwork.EricUrlInfo

Module implementing a class replacing QUrlInfo.

### Global Attributes

None

### Classes

EricUrlInfo | Class implementing a replacement for QUrlInfo.
EricUrlPermission | Class defining the URL permissions.

### Functions

None

## EricUrlInfo

Class implementing a replacement for QUrlInfo.

### Derived from

None

### Class Attributes

None

### Class Methods

None

### Methods

EricUrlInfo | Constructor
group | Public method to get the group.
isDir | Public method to test, if the entry is a directory.
isExecutable | Public method to test, if the entry is executable.
isFile | Public method to test, if the entry is a file.
isReadable | Public method to test, if the entry is readable.
isSymLink | Public method to test, if the entry is a symbolic link.
isValid | Public method to check the validity of the object.
isWritable | Public method to test, if the entry is writable.
lastModified | Public method to get the last modified date and time.
lastRead | Public method to get the last read date and time.
name | Public method to get the name.
owner | Public method to get the owner.
permissions | Public method to get the permissions.
setDir | Public method to indicate a directory.
setFile | Public method to indicate a file.
setGroup | Public method to set the group.
setLastModified | Public method to set the last modified date and time.
setLastRead | Public method to set the last read date and time.
setName | Public method to set the name.
setOwner | Public method to set the owner.
setPermissions | Public method to set the permissions.
setReadable | Public method to a readable entry.
setSize | Public method to set the size.
setSymLink | Public method to indicate a symbolic link.
setWritable | Public method to a writable entry.
size | Public method to get the size.

### Static Methods

None

#### EricUrlInfo (Constructor)

EricUrlInfo()

Constructor

#### EricUrlInfo.group

group()

Public method to get the group.

Return:
  group (string)

#### EricUrlInfo.isDir

isDir()

Public method to test, if the entry is a directory.

Return:
  flag indicating a directory (boolean)

#### EricUrlInfo.isExecutable

isExecutable()

Public method to test, if the entry is executable.

Return:
  flag indicating executable (boolean)

#### EricUrlInfo.isFile

isFile()

Public method to test, if the entry is a file.

Return:
  flag indicating a file (boolean)

#### EricUrlInfo.isReadable

isReadable()

Public method to test, if the entry is readable.

Return:
  flag indicating readable (boolean)

#### EricUrlInfo.isSymLink

isSymLink()

Public method to test, if the entry is a symbolic link.

Return:
  flag indicating a symbolic link (boolean)

#### EricUrlInfo.isValid

isValid()

Public method to check the validity of the object.

Return:
  flag indicating validity (boolean)

#### EricUrlInfo.isWritable

isWritable()

Public method to test, if the entry is writable.

Return:
  flag indicating writable (boolean)

#### EricUrlInfo.lastModified

lastModified()

Public method to get the last modified date and time.

Return:
  last modified date and time (QDateTime)

#### EricUrlInfo.lastRead

lastRead()

Public method to get the last read date and time.

Return:
  last read date and time (QDateTime)

#### EricUrlInfo.name

name()

Public method to get the name.

Return:
  name (string)

#### EricUrlInfo.owner

owner()

Public method to get the owner.

Return:
  owner (string)

#### EricUrlInfo.permissions

permissions()

Public method to get the permissions.

Return:
  permissions (integer)

#### EricUrlInfo.setDir

setDir(isDir)

Public method to indicate a directory.

isDir
  flag indicating a directory (boolean)

#### EricUrlInfo.setFile

setFile(isFile)

Public method to indicate a file.

isFile
  flag indicating a file (boolean)

#### EricUrlInfo.setGroup

setGroup(group)

Public method to set the group.

group
  group to be set (string)

#### EricUrlInfo.setLastModified

setLastModified(dt)

Public method to set the last modified date and time.

dt
  date and time to set (QDateTime)

#### EricUrlInfo.setLastRead

setLastRead(dt)

Public method to set the last read date and time.

dt
  date and time to set (QDateTime)

#### EricUrlInfo.setName

setName(name)

Public method to set the name.

name
  name to be set (string)

#### EricUrlInfo.setOwner

setOwner(owner)

Public method to set the owner.

owner
  owner to be set (string)

#### EricUrlInfo.setPermissions

setPermissions(permissions)

Public method to set the permissions.

permissions
  permissions to be set (integer)

#### EricUrlInfo.setReadable

setReadable(isReadable)

Public method to a readable entry.

isReadable
  flag indicating a readable entry (boolean)

#### EricUrlInfo.setSize

setSize(size)

Public method to set the size.

size
  size to be set (integer)

#### EricUrlInfo.setSymLink

setSymLink(isSymLink)

Public method to indicate a symbolic link.

isSymLink
  flag indicating a symbolic link (boolean)

#### EricUrlInfo.setWritable

setWritable(isWritable)

Public method to a writable entry.

isWritable
  flag indicating a writable entry (boolean)

#### EricUrlInfo.size

size()

Public method to get the size.

Return:
  size (integer)

Up

## EricUrlPermission

Class defining the URL permissions.

### Derived from

enum.IntEnum

### Class Attributes

EXE_GROUP
EXE_OTHER
EXE_OWNER
READ_GROUP
READ_OTHER
READ_OWNER
WRITE_GROUP
WRITE_OTHER
WRITE_OWNER

### Class Methods

None

### Methods

None

### Static Methods

None

Up